import React from "react";

function Help() {
  return (
    <main>
      <h1>Hilfe</h1>

      <h2>1. Navigation</h2>
      <p>
        Um die MAWEN Web App zu starten, gehen Sie bitte zu einer der Rechenarten:
      </p>

      <ul>
        <li><a href="/addition">Addition</a></li>
        <li><a href="/subtraktion">Subtraktion</a></li>
      </ul>

      <h2>2. Eingabe der Rechnung</h2>
      <p>
        Dort k&ouml;nnen Sie dann im Eingabefeld eine Rechnung wie beispielsweise "1.4+34" oder "98-3.2" eingeben.
        Mit Hilfe der Pfeiltasten (auf und ab), k&ouml;nnen zuvor eingebene Rechnungen erneut verwendet werden.
        Dazu einfach die Liste an Vorschl&auml;gen mit den Pfeiltasten &ouml;ffnen, ebenfalls mit den Pfeiltasten bis zur gew&uuml;nschten Rechnung navigieren und die Auswahl mit Enter best&auml;tigen.
      <br/>
        Die Rechnung kann dabei beliebig viele Zahlen enthalten, allerdings m&uuml;ssen die Zahlen immer mit demselben Rechenzeichen verbunden sein.
        Mit dem Button "berechnen" oder mit Hilfe der Enter Taste wird die Kalkulation begonnen.
        Bitte beachten Sie bei der Eingabe auch, dass derzeit bei der Subtraktion keine negativen Ergebnisse m&ouml;glich sind.
      <br/>
        Nach der Eingabe werden die einzelnen Zahlen untereinander ausgebeben und k&ouml;nnen mit Hilfe der Pfeiltasten oder der Tab-Taste navigiert werden.
        Unter den Zahlen befindet sich das Feld f&uuml;r das Ergebnis, das anfangs nat&uuml;rlich noch leer ist.
      </p>


      <h2>3. Stellenweises L&ouml;sen der Rechnung</h2>
      <p>
        F&uuml;r jede Stelle der eingegeben Zahlen erscheinen nacheinander ein Eingabefeld f&uuml;r das Ergebnis und f&uuml;r den &Uuml;bertrag.
        Mit der Tab-Taste kann zwischen den beiden Eingabefeldern navigiert werden.
        Nach Eingabe des &Uuml;bertrags, muss dieser mit der Enter Taste best&auml;tigt werden.
        Dann erscheinen die beiden Eingabefelder der n&auml;chsten Stelle und der Fokus r&uuml;ckt in das erste Feld.
      </p>


      <h2>4. &Uuml;berpr&uuml;fung</h2>
      <p>
        Wenn alle Eingabefelder ausgef&uuml;llt wurden, erscheint ein Overlay in dem ausgew&auml;hlt werden muss, ob das Ergebnis abgesendet werden soll oder vorher nochmal &uuml;berpr&uuml;ft werden soll.
        Wird die &Uuml;berpr&uuml;fung ausgew&auml;hlt, erscheinen unter der Zahlenbox die einzelnen Rechnungsschritte.
        Bei jedem Schritt wird das davor berechnete Ergebnis, der &Uuml;bertrag und ob die Eingabe richtig oder falsch war, angezeigt.
        Au&szlig;erdem erscheint neben jedem Schritt ein Button, mit dem bei dem jeweiligen Schritt neu begonnen werden kann, um m&ouml;gliche Fehler ausbessern zu k&ouml;nnen.
      </p>


      <h2>5. Absenden des Ergebnisses</h2>
      <p>
        Unter den Rechenschritten befindet sich ein Button um das Ergebnis abzusenden.
        Das berechnete Ergebnis wird dann in die Box mit den Zahlen in der letzten Zeile erg&auml;nzt.
        Unter der Box wird gezeigt ob das Ergebnis richtig oder falsch ist.
        Das Ergebnis wird genauso angezeigt, wenn beim Overlay "abgeben" statt "&uuml;berpr&uuml;fen" ausgew&auml;hlt wird, das hei&szlig;t, es wird einfach die &Uuml;berpr&uuml;fung &uuml;bersprungen.
      </p>

      <p>
        Um die Eingabe zu korrigieren oder eine neue Rechnung zu beginnen, muss die Seite neu geladen werden.
      </p>
    </main>
  );
}

export default Help;
